Information on source package privoxy

Available versions

ReleaseVersion
stretch3.0.26-3
stretch (security)3.0.26-3+deb9u2
buster3.0.28-2+deb10u1
bullseye3.0.32-2
bookworm3.0.32-3
sid3.0.32-3

Resolved issues

BugDescription
CVE-2021-20276A flaw was found in privoxy before 3.0.32. Invalid memory access with ...
CVE-2021-20275A flaw was found in privoxy before 3.0.32. A invalid read of size two ...
CVE-2021-20274A flaw was found in privoxy before 3.0.32. A crash may occur due a NUL ...
CVE-2021-20273A flaw was found in privoxy before 3.0.32. A crash can occur via a cra ...
CVE-2021-20272A flaw was found in privoxy before 3.0.32. An assertion failure could ...
CVE-2021-20217A flaw was found in Privoxy in versions before 3.0.31. An assertion fa ...
CVE-2021-20216A flaw was found in Privoxy in versions before 3.0.31. A memory leak t ...
CVE-2021-20215A flaw was found in Privoxy in versions before 3.0.29. Memory leaks in ...
CVE-2021-20214A flaw was found in Privoxy in versions before 3.0.29. Memory leaks in ...
CVE-2021-20213A flaw was found in Privoxy in versions before 3.0.29. Dereference of ...
CVE-2021-20212A flaw was found in Privoxy in versions before 3.0.29. Memory leak if ...
CVE-2021-20211A flaw was found in Privoxy in versions before 3.0.29. Memory leak whe ...
CVE-2021-20210A flaw was found in Privoxy in versions before 3.0.29. Memory leak in ...
CVE-2021-20209A memory leak vulnerability was found in Privoxy before 3.0.29 in the ...
CVE-2020-35502A flaw was found in Privoxy in versions before 3.0.29. Memory leaks wh ...
CVE-2016-1983The client_host function in parsers.c in Privoxy before 3.0.24 allows ...
CVE-2016-1982The remove_chunked_transfer_coding function in filters.c in Privoxy be ...
CVE-2015-1382parsers.c in Privoxy before 3.0.23 allows remote attackers to cause a ...
CVE-2015-1381Multiple unspecified vulnerabilities in pcrs.c in Privoxy before 3.0.2 ...
CVE-2015-1380jcc.c in Privoxy before 3.0.23 allows remote attackers to cause a deni ...
CVE-2015-1031Multiple use-after-free vulnerabilities in Privoxy before 3.0.22 allow ...
CVE-2015-1030Memory leak in the rfc2553_connect_to function in jbsocket.c in Privox ...
CVE-2013-2503Privoxy before 3.0.21 does not properly handle Proxy-Authenticate and ...
CVE-2005-1109The filtering of URLs in JunkBuster before 2.0.2-r3 allows remote atta ...
CVE-2005-1108The ij_untrusted_url function in JunkBuster 2.0.2-r2, with single-thre ...

Security announcements

DSA / DLADescription
DLA-2587-1privoxy - security update
DLA-2548-1privoxy - security update
DSA-3460-1privoxy - security update
DLA-398-1privoxy - security update
DSA-3145-1privoxy - security update
DLA-142-1privoxy - security update
DSA-3133-1privoxy - security update

Search for package or bug name: Reporting problems